Bug 190576 - REGRESSION: kabi breakage on ia64_mv
REGRESSION: kabi breakage on ia64_mv
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Prarit Bhargava
Brian Brock
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-05-03 13:47 EDT by Doug Chapman
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 19:14:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix kabi breakage in ia64 branch (5.95 KB, patch)
2006-05-04 11:44 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Doug Chapman 2006-05-03 13:47:00 EDT
Description of problem:


Version-Release number of selected component (if applicable):

The ia64_mv appears to have changed between U3 and U4.  I am seeing this while
attempting to diagnose an e100 driver issue.  If I install kernel-2.6.9-35 but I
grab the e100 from back in U3 it will not load:


e100: disagrees about version of symbol ia64_mv
e100: Unknown symbol ia64_mv

Steps to Reproduce:
1. Install RHEL4 U3
2. Install kernel-2.6.9-35.ia64.EL
3. replace e100.ko with the one from U3
4. reboot to the new kernel and try modprobe e100

  
Actual results:


Expected results:


Additional info:
Comment 1 Jason Baron 2006-05-03 15:08:44 EDT
hmmm, this is due to bz #183156, changing type for: ia64_mv_global_tlb_purge_t.
Comment 2 Prarit Bhargava 2006-05-03 15:11:21 EDT
Jason -- this shouldn't be an issue.  IIRC, the only consumer of this "global"
function is the SN code and SGI was willing to live with the change.

P.
Comment 3 Jason Baron 2006-05-03 15:12:53 EDT
hmmm, i don't think Doug was testing on sgi h/w
Comment 4 Jason Baron 2006-05-03 15:19:38 EDT
also, we have a precedent for fixing this:

http://post-office.corp.redhat.com/archives/rhkernel-list/2005-July/msg00504.html
Comment 5 Prarit Bhargava 2006-05-03 15:32:24 EDT
Yeah -- I think I see the issue.  I'll touch base with Doug when he's in tomorrow.
I have a solution in mind....

P.
Comment 6 Prarit Bhargava 2006-05-04 11:44:19 EDT
Created attachment 128608 [details]
Patch to fix kabi breakage in ia64 branch

Patch to fix Doug's issue with kabi breakage.  Doug will post testing results
shortly.
Comment 7 Doug Chapman 2006-05-04 11:47:15 EDT
I have tested this by taking prarit's kernel rpm and replacing the e100.ko
module from U3 as I did before.  The module now loads without any symbol
mismatch complaints.

Comment 8 Jason Baron 2006-05-04 22:32:29 EDT
committed in stream U4 build 35.2. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 12 Red Hat Bugzilla 2006-08-10 19:14:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.